dn=>\dev\null\


# Default View Rules
%.graph: %
	Graph <$< | Tube
%.grey: %
	Grey <$* | Tube

%.black: %
	Grey <$* newclip=1 wantscalebar=1 | Tube

%.HV: %
	Grey bpclip=1 epclip=99 newclip=1 <$< out=$@  $(dn)

%.tube: %
	tube $*



# No Clipping
%.grey0: %
	Transp <$* pclip=100 wantscalebar=1| Grey | Tube

%.black0: %
	Grey <$* newclip=1 bpclip=0 epclip=100 wantscalebar=1| Tube


# 1% Clipping
%.grey1: %
	Transp <$* pclip=99 wantscalebar=1| Grey | Tube
%.black1: %
	Grey <$* newclip=1 bpclip=1 epclip=99 wantscalebar=1| Tube
%.color1: %
	Grey <$* newclip=1 bpclip=1 epclip=99 wantscalebar=1 color=j| Tube



# Create ps (pstexpen or vplot2eps) and PDF files
%.ps: ${R}/%.v
	pstexpen  $< ${R}/$@ fat=5 famult=7 invras=y color=y scale=0.9
	#vplot2eps fat=5 invras=y ${R}/$*.v ${R}/$*.eps

%.pdf: %.ps
	epstopdf ${R}/$<

%.gif: %.v
	vplot2gif ${R}/$<

# View and Burn
%.view: ${R}/%.v
	tube $<  &

%.burn: ${R}/%.v
	rm $<

%.burnview: %.burn
	make $*.view





# Other misc rules
# =====================
paper.pdf: paper.tex
	scons paper.pdf

burn: clean
	Rm -f ./*.H*
	rm -f ${B}/*;
	rm -f ${R}/*;

clean: jclean